• Resolved Jhimross

    (@jhimross)


    Hi,

    WpForms is causing this error and make the website down.

    Fatal error: Uncaught Error: Class ‘Normalizer’ not found
    in /home/xxxxx/public_html/wp-content/plugins/wpforms-lite/vendor/symfony/polyfill-iconv/Iconv.php on line 689

    Call stack:

    Symfony\P\I\Iconv::mapFromUtf8()
    wp-content/plugins/wpforms-lite/vendor/symfony/polyfill-iconv/Iconv.php:220
    Symfony\P\I\Iconv::iconv()
    wp-content/plugins/wpforms-lite/vendor/symfony/polyfill-iconv/bootstrap.php:32
    iconv()
    wp-content/plugins/woocommerce/includes/wc-core-functions.php:1760
    wc_ascii_uasort_comparison()
    uasort()
    wp-content/plugins/woocommerce/includes/class-wc-countries.php:53
    WC_Countries::get_countries()
    wp-content/plugins/woocommerce/includes/class-wc-countries.php:38
    WC_Countries::__get()
    wp-content/plugins/woocommerce/includes/class-wc-countries.php:239
    WC_Countries::get_allowed_countries()
    wp-content/plugins/woocommerce/includes/wc-core-functions.php:1290
    wc_get_customer_default_location()
    wp-content/plugins/woocommerce/includes/data-stores/class-wc-customer-data-store-session.php:128
    WC_Customer_Data_Store_Session::set_defaults()
    wp-content/plugins/woocommerce/includes/data-stores/class-wc-customer-data-store-session.php:117
    WC_Customer_Data_Store_Session::read()
    wp-content/plugins/woocommerce/includes/class-wc-data-store.php:159
    WC_Data_Store::read()
    wp-content/plugins/woocommerce/includes/class-wc-customer.php:116
    WC_Customer::__construct()
    wp-content/plugins/woocommerce/includes/class-woocommerce.php:767
    WooCommerce::initialize_cart()
    wp-content/plugins/woocommerce/includes/wc-core-functions.php:2435
    wc_load_cart()
    wp-content/plugins/woocommerce/includes/class-woocommerce.php:583
    WooCommerce::init()
    wp-includes/class-wp-hook.php:287
    WP_Hook::apply_filters()
    wp-includes/class-wp-hook.php:311
    WP_Hook::do_action()
    wp-includes/plugin.php:478
    do_action()
    wp-settings.php:546
    require_once()
    wp-config.php:77
    require_once()
    wp-load.php:37
    require_once()
    wp-blog-header.php:13
    require()
    index.php:17

    Please help. I have deactivated WPForms for now

    The page I need help with: [log in to see the link]

Viewing 10 replies - 1 through 10 (of 10 total)
  • Plugin Support Jade

    (@jadeam)

    Hello @jhimross,

    It looks like not all of the plugin files were correctly installed or some of the files were corrupted if you recently did an update. Please login through FTP and go to wp-content/plugins/wpforms-lite. Download the entire directory for backup purposes then delete it. Once deleted log back in to your admin area and go to WP Admin > Plugins > Add New then search and reinstall WPForms.

    In case the issue persists,could you please try using the steps in WPBeginner’s detailed guide on troubleshooting WordPress to see if it helps resolve the issue?

    Hey, we are having the same error, and we could identify that it appears after update WooCommerce to it last versión (4.5.2), on PHP 7.3. (it works in older versions of php) Is there any chance that you can check it?

    Plugin Support Jade

    (@jadeam)

    Hello @lauramelos,

    It appears that iconv() function is not available in your PHP installation which might be the reason why you’re getting that error message. In order to resolve the issue you’re facing you can get in touch with your hosting provider to install/enable the iconv and mbstring PHP extensions.

    Thank you.

    Plugin Support Jade

    (@jadeam)

    Hi @lauramelos and @jhimross,

    We haven’t heard back from you in about a week, so I’m going to go ahead and close this thread for now. But if you’d like us to assist further, please feel welcome to continue the conversation.

    Thanks!

    Hey @jadeam, will try your suggestion. I wonder why it works before update woocommerce in same php env?. I’m sorry I missed your previous comment.

    I’ve just checked php info and both modules are installed and enabled.

    @jadeam, similar error, iconv and mbstring are included

    Warning: require_once(/home/u291857535/domains/59gears.hostingerapp.com/public_html/wp-content/plugins/wpforms-lite/vendor/woocommerce/action-scheduler/action-scheduler.php): failed to open stream: No such file or directory in /home/u291857535/domains/59gears.hostingerapp.com/public_html/wp-content/plugins/wpforms-lite/src/WPForms.php on line 267

    Fatal error: require_once(): Failed opening required ‘/home/u291857535/domains/59gears.hostingerapp.com/public_html/wp-content/plugins/wpforms-lite/vendor/woocommerce/action-scheduler/action-scheduler.php’ (include_path=’.:/opt/alt/php74/usr/share/pear’) in /home/u291857535/domains/59gears.hostingerapp.com/public_html/wp-content/plugins/wpforms-lite/src/WPForms.php on line 267

    • This reply was modified 1 month, 1 week ago by submid.
    Plugin Support Jade

    (@jadeam)

    Hello @lauramelos,

    Can you please create a new post and include the specific error messages you are getting as it might not be the same issue as the original poster of this post. This would also help us avoid further confusion. Thank you.

    Plugin Support Jade

    (@jadeam)

    Hi @jhimross,

    Based on the error messages you are getting, it looks like some of the files were corrupted perhaps when you did an update.

    Can you please login through S/FTP, then go to the directory wp-content/plugins then find the directory wpforms-lite. Download the entire directory for backup purposes then delete it.

    Once deleted, please log back into the admin area and go to WP Admin > Plugins and reinstall WPForms then activate the plugin.

    Please feel free to let us know how it goes.

    submid

    (@submid)

    Hello @jadeam,
    With the new update, the problem was resolved and I was able to activate the plugin! Thank you! 🙂

Viewing 10 replies - 1 through 10 (of 10 total)
  • You must be logged in to reply to this topic.